# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
DBus::Server::Private Struct Reference

`#include <server_p.h>`

## Public Member Functions

| Private (DBusServer *)
| ~Private ()

## Static Public Member Functions

static void | on_new_conn_cb (DBusServer *server, DBusConnection *conn, void *data)

## Public Attributes

DBusServer * | server
Dispatcher * | dispatcher
ConnectionList | connections

## Detailed Description

Definition at line 41 of file server_p.h.

## Constructor & Destructor Documentation

## ◆ Private()

Server::Private::Private | ( | DBusServer * | s | ) |

Definition at line 38 of file server.cpp.

References server.

## ◆ ~Private()

Server::Private::~Private | ( |  | ) |

Definition at line 43 of file server.cpp.

## Member Function Documentation

## ◆ on_new_conn_cb()

void Server::Private::on_new_conn_cb | ( | DBusServer * | server,
|  | DBusConnection * | conn,
|  | void * | data )

static

Definition at line 47 of file server.cpp.

References DBus::Server::_pvt, DBus::debug_log, DBus::Server::on_new_connection(), DBus::Server::Server(), and server.

Referenced by DBus::Server::Server().

## Member Data Documentation

## ◆ connections

ConnectionList DBus::Server::Private::connections

Definition at line 47 of file server_p.h.

## ◆ dispatcher

Dispatcher* DBus::Server::Private::dispatcher

Definition at line 45 of file server_p.h.

## ◆ server

DBusServer* DBus::Server::Private::server

Definition at line 43 of file server_p.h.

Referenced by on_new_conn_cb(), and Private().

The documentation for this struct was generated from the following files:

- server_p.h
- server.cpp